Bug 111130 - dhcpcd frequently fails stating no link present
dhcpcd frequently fails stating no link present
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcpcd (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-27 19:09 EST by Xander D Harkness
Modified: 2016-06-07 18:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 18:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2003-11-27 19:09:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.6a)
Gecko/20031018

Description of problem:
I have run twelve machines on a network all requesting leases and they
will install okay using dhcp; however following installation and
during boot dhcpcd will fail stating that there is no link present.
(This is during first and subsequent boots).

Using netconfig to set a stating IP address following by a service
network restart will bring up the interface.

I have also experienced this on a totally separate network on an
upgrade from RH9 through to RHEL3.

It makes no difference whether the lease is open or assigned to a
particular mac address.

I also tried using the previous RH9 kernel on the upgraded machine
with no change in results.

Version-Release number of selected component (if applicable):
dhcpcd-1.3.18pl8-13

How reproducible:
Sometimes

Steps to Reproduce:
1.Run netconfig, choose dhcp and reboot
2. The machine will fail to pick up a lease in approximately 70% of
events.
3.setting a static address will reverse this behaviour.
    

Actual Results:  The machine fails to have an ip address assigned to eth0

Expected Results:  The server should pick up the IP address assigned.

Additional info:
Comment 1 Jason Vas Dias 2004-08-04 18:46:41 EDT
Does not happen with dhclient (dhcp-3.0.1).
Comment 2 John Flanagan 2004-12-21 14:42:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.